Bug 162650 - Openoffice hangs with users loged in with a ldap-account
Openoffice hangs with users loged in with a ldap-account
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-07 05:00 EDT by Simon Schmidig
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 05:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from computer A (16.68 KB, application/octet-stream)
2005-07-07 05:06 EDT, Simon Schmidig
no flags Details
Xorg.log form computer A (54.61 KB, text/x-log)
2005-07-07 05:09 EDT, Simon Schmidig
no flags Details

  None (edit)
Description Simon Schmidig 2005-07-07 05:00:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
A user how loged in can work whit all programs. But when he try to work whit openoffice, he can start the program and open a file. He can also past a texte in a existing texte file or in a new texte file. But when he begin to write he can write only _1_ letter and then the programm crash. He had the same problem with the ather openoffice programs (impress, calc ...).
If I creat a local user in /etc/passwd he can work with openoffice without problem. Idem for root...

All this problem I have on computer A. On computer B I don't have problems ?
B is very old
A is newer 

Version-Release number of selected component (if applicable):
openoffice.org-writer-1.9.112-1.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Login as a ldap-user
2. Start openoffice.org-writer
3. Begin to write and after 1 letter he crash
  

Actual Results:  crash. Only xkill helps.

Additional info:
Comment 1 Simon Schmidig 2005-07-07 05:06:49 EDT
Created attachment 116462 [details]
dmesg from computer A
Comment 2 Simon Schmidig 2005-07-07 05:09:08 EDT
Created attachment 116463 [details]
Xorg.log form computer A
Comment 3 Caolan McNamara 2005-07-07 06:40:10 EDT
Can you try 
gdb /usr/lib/ooo-1.1/program/soffice
(gdb) run -writer
and when it crashes run
(gdb) bt
and paste the output here, 
installing the openoffice.org debuginfo package first would be very helpful as well
Comment 4 Simon Schmidig 2005-07-07 08:08:13 EDT
run as "ldap user" (it crash now at boot):
bash-3.00$ gdb /usr/lib/openoffice.org2.0/program/soffice.bin
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run -writer
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -writer
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x6c3000
[Thread debugging using libthread_db enabled]
[New Thread -1208953152 (LWP 25977)]
[New Thread 69217200 (LWP 25981)]
[New Thread 126618544 (LWP 25982)]
[New Thread 145271728 (LWP 25983)]
[New Thread -1381299280 (LWP 25986)]

Program received signal SIGPWR, Power fail/restart.
[Switching to Thread -1381299280 (LWP 25986)]
0x006c3402 in __kernel_vsyscall ()
(gdb) bt
#0  0x006c3402 in __kernel_vsyscall ()
#1  0x00a8b7a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xae49b686 in _Jv_CondWait () from /usr/lib/libgcj.so.6
#3  0xae1d17b9 in gnu::gcj::runtime::FinalizerThread::run ()
   from /usr/lib/libgcj.so.6
#4  0xae1e1bc1 in _Jv_ThreadRun () from /usr/lib/libgcj.so.6
#5  0xae49bb24 in _Jv_ThreadUnRegister () from /usr/lib/libgcj.so.6
#6  0xae55914f in GC_start_routine () from /usr/lib/libgcj.so.6
#7  0x00a89b80 in start_thread () from /lib/libpthread.so.0
#8  0x0043edee in clone () from /lib/libc.so.6
(gdb)

--------------------------------------------------------------
run as root (no problem):
[root@archi simon]# gdb /usr/lib/openoffice.org2.0/program/soffice.bin GNU gdb
Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run -writer
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -writer
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xeaa000
[Thread debugging using libthread_db enabled]
[New Thread -1208981824 (LWP 26019)]
[New Thread 49560496 (LWP 26023)]
[New Thread 145271728 (LWP 26024)]
Detaching after fork from child process 26025.
[New Thread 155761584 (LWP 26027)]
[New Thread -1377387600 (LWP 26035)]
[Thread -1377387600 (LWP 26035) exited]
[New Thread -1377387600 (LWP 26036)]
[Thread -1377387600 (LWP 26036) exited]
[Thread 145271728 (LWP 26024) exited]

Program exited normally.
(gdb) bt
No stack.
(gdb)

Comment 5 Caolan McNamara 2005-07-07 08:33:44 EDT
hmm, the sigpwr stuff made the crash result probably wrong, can you try again with

gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIGPWR nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) run -writer
(gdb) bt
Comment 6 Simon Schmidig 2005-07-07 08:45:34 EDT
Now I can start openoffice. I can use de menu and I can paste textes in a news
document. But after the use of the first key openoffice bloc. I used xkill to
close the windows (the only posibility).

bash-3.00$ gdb /usr/lib/openoffice.org2.0/program/soffice.bin
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) handle SIGPWR nostop noprint
Signal        Stop      Print   Pass to program Description
SIGPWR        No        No      Yes             Power fail/restart
(gdb) handle SIGXCPU nostop noprint
Signal        Stop      Print   Pass to program Description
SIGXCPU       No        No      Yes             CPU time limit exceeded
(gdb) run -writer
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -writer
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x519000
[Thread debugging using libthread_db enabled]
[New Thread -1208232256 (LWP 26694)]
[New Thread 53054384 (LWP 26699)]
[New Thread 63761328 (LWP 26700)]
[New Thread -1363346512 (LWP 26701)]
[New Thread -1391068240 (LWP 26702)]
[New Thread -1405092944 (LWP 26706)]
[New Thread -1436447824 (LWP 26711)]
Detaching after fork from child process 26712.
Detaching after fork from child process 26713.
Detaching after fork from child process 26714.
Detaching after fork from child process 26715.
[New Thread -1446937680 (LWP 26716)]
[Thread -1446937680 (LWP 26716) exited]
[New Thread -1446937680 (LWP 26717)]
[Thread -1446937680 (LWP 26717) exited]
[Thread -1436447824 (LWP 26711) exited]
[New Thread -1436447824 (LWP 26720)]
Couldn't get registers: Aucun processus de ce type.
(gdb) bt
Cannot fetch general-purpose registers for thread -1208232256: generic error
(gdb)
Comment 7 Simon Schmidig 2005-07-08 06:10:09 EDT
In oocalc I can write more lettres than one before openoffice blocs when I
reduce the window, when I choose an ather field than A1 and if I make the input
in the inputfield below the menu.
Comment 8 Caolan McNamara 2005-07-08 14:30:25 EDT
is there any output when run from a console, or is there any other applications
which show similiar behaviour, e.g. firefox or gedit etc ?
Comment 9 Simon Schmidig 2005-07-11 09:58:15 EDT
There is no problem with firefox or gedit.

Output from gedit:
------------------------------------------------------------
bash-3.00$ gdb  /usr/bin/gedit
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/gedit
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x88c000
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208998208 (LWP 31117)]
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
Bonobo accessibility support initialized
(no debugging symbols found)
GTK Accessibility Module initialized
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---

Program exited normally.
(gdb) bt
No stack.
Comment 10 Simon Schmidig 2005-07-13 07:27:19 EDT
I had now install openoffice 1.1.4 from the official openoffice site and now I
can work.
Comment 11 Caolan McNamara 2005-07-14 08:03:52 EDT
To get to the bottom of this we'd need to get the openoffice.org debuginfo
installed and then a proper stacktrace
Comment 12 Simon Schmidig 2005-07-14 10:54:31 EDT
I will do it. Do you have a HOWTO for debuginfo? Thank you.

Ather observation: when I start ooffice in a xterm "by hand" at the end I get un
error message:
--------------------
bash-3.00$ ooffice
/usr/lib/openoffice.org2.0/program/soffice: line 247: 12141 Erreur de
segmentation  "$sd_prog/$sd_binary" "$@"
--------------------
Comment 13 Caolan McNamara 2005-07-14 12:38:51 EDT
assuming we're talking about openoffice.org-1.9.something then the procedure is
to get the debuginfo rpm for openoffice.org that matches your openoffice.org
version and install it.

e.g. 
> yum install openoffice.org-debuginfo 
and then again with gdb...
> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIGPWR nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) run -writer
make it crash by typing a character
(gdb) bt
Comment 14 Simon Schmidig 2005-07-14 12:52:44 EDT
[root@archi simon]# yum install openoffice.org-debuginfo
Setting up Install Process
Setting up repositories
updates-released          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 151 kB    00:06
updates-re: ################################################## 438/438
Added 0 new packages, deleted 32 old in 0.82 seconds
Parsing package install arguments
Nothing to do

-------------------------------------------------------------------------
bash-3.00$ gdb /usr/lib/openoffice.org2.0/program/soffice.bin
GNU gdb Red Hat Linux (6.3.0.0-1.21rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) handle SIGPWR nostop noprint
Signal        Stop      Print   Pass to program Description
SIGPWR        No        No      Yes             Power fail/restart
(gdb) handle SIGXCPU nostop noprint
Signal        Stop      Print   Pass to program Description
SIGXCPU       No        No      Yes             CPU time limit exceeded
(gdb) run -writer
Starting program: /usr/lib/openoffice.org2.0/program/soffice.bin -writer
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x593000
[Thread debugging using libthread_db enabled]
[New Thread -1208805696 (LWP 15089)]
[New Thread 124910512 (LWP 15101)]
[New Thread 145271728 (LWP 15102)]
[New Thread 155761584 (LWP 15103)]
[New Thread -1381151824 (LWP 15104)]
[New Thread -1395655760 (LWP 15107)]
[New Thread -1429849168 (LWP 15115)]
Detaching after fork from child process 15116.
Detaching after fork from child process 15117.
Detaching after fork from child process 15118.
Detaching after fork from child process 15119.
[New Thread -1440339024 (LWP 15120)]
[Thread -1440339024 (LWP 15120) exited]
[New Thread -1440339024 (LWP 15121)]
[Thread -1440339024 (LWP 15121) exited]
[Thread -1429849168 (LWP 15115) exited]
[New Thread -1429849168 (LWP 15122)]
Couldn't get registers: Aucun processus de ce type.
(gdb) bt
Cannot fetch general-purpose registers for thread -1208805696: generic error
(gdb)
Comment 15 Caolan McNamara 2005-07-14 13:33:45 EDT
something real f*cked up there

Note You need to log in before you can comment on or make changes to this bug.